Skip to content

Get Payment History

GET
/v1/pay/history

Fetches a list of all payments made from and made to the current user's account. Payments received (incoming) have type = CREDIT and payments sent (outgoing) have type = DEBIT. The results of this request may be filtered by Status i.e. STATUS=COMPLETE,FAILED. Valid statuses are INITIATED, AUTHORISED, COMPLETE, RETURNED, FAILED, EXPIRED. The skip and limit parameters may be applied to paginate the filtered results.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

status

Comma-separated list of statuses to filter by (e.g., COMPLETE,FAILED)

Type
string
skip

Number of records to skip for pagination

Type
integer
Format
"int32"
limit

Maximum number of records to return

Type
integer
Format
"int32"

Responses

Payment history retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples